/* Copyright (C) 2007  Mikko Sysikaski <mikko.sysikaski@gmail.com>
 * This program is free software distributed under GNU General Public License
 * version 3 or (at your option) any later version.
 * No warranty of any kind is provided. See the accompanying file COPYING for details.
 */

#ifndef LCDCOUNTER_H
#define LCDCOUNTER_H

class LCDCounter {
public:
	LCDCounter();

	void start();
	void reset(int maxTime);
	void update();
	void stop();
	int getTime() const;

private:
	int m_startTime;
	int m_stopTime;
	int m_maxTime;

	int m_frames;
	int m_fps;
	int m_lastSec;
};

#endif
